%global dlrn_nvr tripleo-heat-templates-11.3.2.dev153-0.20200211065543.d3d6dc3
%global dlrn 1
%define upstream_version 11.3.2.dev153
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %python%{pyver}_sitelib
%global pyver_install %py%{pyver}_install
%global pyver_build %py%{pyver}_build
# End of macros for py2/py3 compatibility

# guard for package OSP does not support
%global rhosp 1

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           openstack-tripleo-heat-templates
Summary:        Heat templates for TripleO
Version: 11.3.2
Release: 0.20200211065546.d3d6dc3%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://wiki.openstack.org/wiki/TripleO
Source0: tripleo-heat-templates-11.3.2.dev153-0.20200211065543.d3d6dc3.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=d3d6dc34c1d3f8649701d6677be6e2a5e625c5ee
Patch0001: 0001-Disable-Docker-by-default-enable-Podman-by-default.patch
Patch0002: 0002-Enable-HA-Podman-by-default.patch
Patch0003: 0003-Removal-of-Director-deployed-OCP.patch
Patch0004: 0004-remove-references-to-Skydive.patch
Patch0005: 0005-Keep-the-default-mapping-for-skydive.patch
Patch0006: 0006-Set-correct-downstream-URL-for-the-Horizon-s-help-li.patch
Patch0007: 0007-Disble-Panko-by-default.patch
Patch0008: 0008-Add-DeployIdentifier-to-extra-config-containers.patch
Patch0009: 0009-Update-Panko-container.patch
Patch0010: 0010-Fix-permission-issue-when-removing-octavia-temp-dirs.patch
Patch0011: 0011-Ensures-rsync-is-present-on-the-overcloud-nodes.patch
Patch0012: 0012-DOWNSTREAM-ONLY-Add-ceph_ansible_repo-variable-on-ce.patch
Patch0013: 0013-update-Ensure-we-get-fresh-hiera-data-before-running.patch

BuildArch:      noarch
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

Requires:       ansible-pacemaker
Requires:       ansible-tripleo-ipsec
Requires:       ansible-role-atos-hsm
Requires:       ansible-role-container-registry
Requires:       ansible-role-chrony
Requires:       ansible-role-thales-hsm
Requires:       python%{pyver}-paunch
Requires:       python%{pyver}-jinja2
Requires:       python%{pyver}-six
Requires:       openstack-tripleo-common >= 7.1.0
Requires:       tripleo-ansible
%if %{pyver} == 2
Requires:       PyYAML
%else
Requires:       python%{pyver}-PyYAML
%endif
%if 0%{rhosp} == 1
Requires:       ansible-role-redhat-subscription
%endif

%description
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.

%prep
%setup -q -n tripleo-heat-templates-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1

# Replace "env python" shebag to the correct python executable for the system
# if we don't do that brp-mangle-shebangs will change it to python2
for python_script in $(grep "/usr/bin/env python" . -rl)
do
    sed -i "s#/usr/bin/env python.*#/usr/bin/%{pyver_bin}#g" $python_script
done

%build
%{pyver_build}

%install
%{pyver_install}
install -d -m 755 %{buildroot}/%{_datadir}/%{name}
cp -ar *.yaml %{buildroot}/%{_datadir}/%{name}
cp -ar puppet %{buildroot}/%{_datadir}/%{name}
cp -ar common %{buildroot}/%{_datadir}/%{name}
if [ -d docker ] ; then
  cp -ar docker %{buildroot}/%{_datadir}/%{name}
fi
cp -ar deployment %{buildroot}/%{_datadir}/%{name}

# docker_config_scripts will be removed in Stein
if [ -d docker_config_scripts ]; then
  cp -ar docker_config_scripts %{buildroot}/%{_datadir}/%{name}
fi
if [ -d container_config_scripts ]; then
  cp -ar container_config_scripts %{buildroot}/%{_datadir}/%{name}
fi
cp -ar firstboot %{buildroot}/%{_datadir}/%{name}
cp -ar extraconfig %{buildroot}/%{_datadir}/%{name}
cp -ar environments %{buildroot}/%{_datadir}/%{name}
cp -ar network %{buildroot}/%{_datadir}/%{name}
if [ -d networks ]; then
  cp -ar networks %{buildroot}/%{_datadir}/%{name}
fi
cp -ar validation-scripts %{buildroot}/%{_datadir}/%{name}
cp -ar deployed-server %{buildroot}/%{_datadir}/%{name}
cp -ar ci %{buildroot}/%{_datadir}/%{name}
cp -ar plan-samples %{buildroot}/%{_datadir}/%{name}
cp -ar roles %{buildroot}/%{_datadir}/%{name}
cp -ar scripts %{buildroot}/%{_datadir}/%{name}
cp -ar tools %{buildroot}/%{_datadir}/%{name}
if [ -d examples ]; then
  rm -rf examples
fi

if [ -d %{buildroot}/%{pyver_sitelib}/tripleo_heat_merge ]; then
  rm -rf %{buildroot}/%{pyver_sitelib}/tripleo_heat_merge
  rm -f %{buildroot}/%{_bindir}/tripleo-heat-merge
fi

%files
%doc README*
%license LICENSE
%{pyver_sitelib}/tripleo_heat_templates-*.egg-info
%{_datadir}/%{name}

%changelog
* Wed Feb 26 2020 Lon Hohberger <lhh@redhat.com> 11.3.2-0.20200211065546.d3d6dc3
- [update] Ensure we get fresh hiera data before running update_steps. (rhbz#1801763)

* Fri Feb 21 2020 Lon Hohberger <lhh@redhat.com> 11.3.2-0.20200211065545.d3d6dc3
- [DOWNSTREAM-ONLY] Add ceph_ansible_repo variable on ceph-base (rhbz#1805750)

* Thu Feb 20 2020 Lon Hohberger <lhh@redhat.com> 11.3.2-0.20200211065544.d3d6dc3
- Ensures rsync is present on the overcloud nodes (rhbz#1802827)
- Fix permission issue when removing octavia temp dirs
- Removal of Director deployed OCP (rhbz#1702694)
- Enable HA & Podman by default (rhbz#1688747)

* Tue Feb 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Create /var/lib/config-data if it doesn't exist.
- [train/stein] Increase resource bundle timeout during update.
- Enable external public endpoint for MetricsQdr

* Mon Feb 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Default all roles for deployed-server to net-config-static-bridge
- Rename common deploy step 1 tasks
- [SQUASH] backport tripleo-container-manage to stable/train
- Fix undefined variable in cinder_backup service.

* Sat Feb 08 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- container-puppet.sh: add -r to rm command
- Use action plugin for all_nodes data
- Fix Placement password hiera is not set for Neutron

* Thu Feb 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- container-puppet: update 'env' when not null
- Generate startup configs files per step and per container

* Thu Feb 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Swap tasks to avoid non-existing variable error.
- Ignore SR-IOV VFs on dhcp_all_interfaces list

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Remove all the "container_cli rmi -f" from HA containers" into stable/train
- Merge "Update ffwd-upgrade branch names" into stable/train
- Merge "Switch from 'podman rm' to tripleo-container-rm role" into stable/train
- Remove all the "container_cli rmi -f" from HA containers
- Update ffwd-upgrade branch names
- Switch from 'podman rm' to tripleo-container-rm role

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Remove stray conditional from aodh-evaluator tasks" into stable/train
- Remove stray conditional from aodh-evaluator tasks

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Ensure Ceph dependencies are installed in pre-provisioned nodes" into stable/train
- Merge "Revert "Remove panko"" into stable/train
- Revert "Remove panko"
- Ensure Ceph dependencies are installed in pre-provisioned nodes

* Fri Jan 31 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Enable external public endpoint for MetricsQdr (rhbz#1769868)
- Merge "Drop z flag on /var/run, it prevents redeployment" into stable/train
- Drop z flag on /var/run, it prevents redeployment

* Fri Jan 31 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update Panko container (rhbz#1795759)

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Drop z flag on /var/run, it prevents redeployment (rhbz#1784608)
- Merge "Fix keepalived logging on disk" into stable/train
- Fix keepalived logging on disk

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Add DeployIdentifier to extra config containers (rhbz#1790467)

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Check to make sure compute service is deployed before scale down" into stable/train
- Check to make sure compute service is deployed before scale down

* Wed Jan 29 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Disble Panko by default (rhbz#1795759)

* Wed Jan 29 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Revert "Remove panko" (rhbz#1795759)

* Tue Jan 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Fix hieradata for Heat API timeout" into stable/train
- Fix hieradata for Heat API timeout

* Tue Jan 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "[TRAIN ONLY] Check for correct file during --skip-deploy-identifier handling." into stable/train
- Merge "Add network vip mapping into service data" into stable/train
- Merge "Fix kill-script" into stable/train
- Merge "Correct current cinder-backup image var for upgrades" into stable/train
- Merge "Revert "Remove libvirt packaged dependencies" due to https://bugs.launchpad.net/tripleo/+bug/1860971 and planning a backport later" into stable/train
- Fix kill-script
- Revert "Remove libvirt packaged dependencies" due to https://bugs.launchpad.net/tripleo/+bug/1860971 and planning a backport later
- Correct current cinder-backup image var for upgrades
- Add network vip mapping into service data
- [TRAIN ONLY] Check for correct file during --skip-deploy-identifier handling.

* Sat Jan 25 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Set octavia services' stop grace period to 300sec" into stable/train
- Set octavia services' stop grace period to 300sec

* Sat Jan 25 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Make pcsd listen on PacemakerNetwork/PacemakerRemoteNetwork" into stable/train
- Make pcsd listen on PacemakerNetwork/PacemakerRemoteNetwork

* Sat Jan 25 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Assign service role for ironic user" into stable/train
- Merge "Force facts cache refreshing before upgrade." into stable/train
- Merge "Remove previously deprecated deployed-server bootstrap files" into stable/train
- Merge "Add missing any_errors_fatal" into stable/train
- Force facts cache refreshing before upgrade.
- Assign service role for ironic user
- Add missing any_errors_fatal
- Remove previously deprecated deployed-server bootstrap files

* Fri Jan 24 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Fix incorrect parameter to set max delay in cinder db purge cron" into stable/train
- Fix incorrect parameter to set max delay in cinder db purge cron

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Remove docker_config step 3 for ovn already cover by kolla script" into stable/train
- Merge "Fix generation of TRIPLEO_CONFIG_HASH for services" into stable/train
- Merge "split() function expects string not array" into stable/train
- split() function expects string not array
- Fix generation of TRIPLEO_CONFIG_HASH for services
- Add 'scale-up' upgrade steps for cinder-volume
- Add 'scale-up' upgrade steps for cinder-backup
- Remove docker_config step 3 for ovn already cover by kolla script

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Add 'scale-up' upgrade steps for manila

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "nova: Always provide LIBGUESTFS_BACKEND=libvirt:qemu:///system" into stable/train
- Merge "Add swiftoperator role on ceph-rgw template" into stable/train
- Add swiftoperator role on ceph-rgw template
- nova: Always provide LIBGUESTFS_BACKEND=libvirt:qemu:///system

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Bypass openvswitch update logic if expected packages are not present" into stable/train
- Bypass openvswitch update logic if expected packages are not present

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- roles: Remove use of NovaVcpuPinSet from ComputeRealTime

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Remove libvirt packaged dependencies" into stable/train
- Remove libvirt packaged dependencies

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Use list join for rendering rear config file in heat" into stable/train
- Merge "depends_on: add .service to avoid errors in logs" into stable/train
- Merge "clustercheck: use fqdn instead of ip for bind address" into stable/train
- Use list join for rendering rear config file in heat
- clustercheck: use fqdn instead of ip for bind address
- depends_on: add .service to avoid errors in logs

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Open ports for Metrics QDRs" into stable/train
- Merge "Adding ReaR THT" into stable/train
- Open ports for Metrics QDRs
- Adding ReaR THT

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Don't disable compute cell in scale down tasks for additional cells" into stable/train
- Merge "Modify import_role to include_role for boot params service" into stable/train
- Don't disable compute cell in scale down tasks for additional cells
- Modify import_role to include_role for boot params service

* Sun Jan 19 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Fix deployment on pacemaker remote nodes

* Sat Jan 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Open ports for Metrics QDRs (rhbz#1769868)
- Merge "Ovn upgrade - test if db already exist" into stable/train
- Ovn upgrade - test if db already exist

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Add 'never' to the tags set for the Ceph systemd units migration task" into stable/train
- Merge "Mount /boot from the host within the nova-compute container" into stable/train
- Merge "Remove upload_validations workflow execution" into stable/train
- Merge "Fix rsyslog issues" into stable/train
- Add 'never' to the tags set for the Ceph systemd units migration task
- Remove upload_validations workflow execution
- Mount /boot from the host within the nova-compute container
- Fix rsyslog issues

* Tue Jan 14 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "horizon: put plugins toggles in quotes" into stable/train
- horizon: put plugins toggles in quotes
- Fix permission error if Barbican is enabled for Swift

* Fri Jan 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Add ability to deploy glance at DCN/Edge sites" into stable/train
- Add ability to deploy glance at DCN/Edge sites

* Thu Jan 09 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "ovn standalone: Start OVN ovsdb-servers using the kolla startup script" into stable/train
- Merge "Run update without yum update to apply hotfixes." into stable/train
- Run update without yum update to apply hotfixes.
- ovn standalone: Start OVN ovsdb-servers using the kolla startup script

* Thu Jan 09 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Fix permission error if Barbican is enabled for Swift

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- HA: Fix the cluster common tag behaviour with podman

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- HA: Fix the cluster common tag behaviour with podman

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Introduce CephExtraKeys" into stable/train
- Merge "Use ansible for hosts entries" into stable/train
- Introduce CephExtraKeys
- Use ansible for hosts entries

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches
- Merge "Create a dedicated log file for healthchecks for collectd" into stable/train
- Merge "HA: increase resource default op timeout for podman bundles" into stable/train
- Merge "Fix typos in hiera values" into stable/train
- Use include_tasks instead of import_tasks
- Create a dedicated log file for healthchecks for collectd
- Fix typos in hiera values
- HA: increase resource default op timeout for podman bundles

* Mon Jan 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Fix typos in hiera values (rhbz#1769868)

* Mon Jan 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Provide option to set reserved_huge_pages" into stable/train
- Provide option to set reserved_huge_pages

* Sat Jan 04 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Try deleting container for failures too" into stable/train
- Try deleting container for failures too

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Do not configure Hiera and Hieradata in Ansible check mode

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Use async tasks for long running common tasks" into stable/train
- Merge "Execute deploy_steps_tasks per step" into stable/train
- Merge "Fix Octavia to use correct Puppet class" into stable/train
- Use async tasks for long running common tasks
- Execute deploy_steps_tasks per step
- Fix Octavia to use correct Puppet class

* Tue Dec 24 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Move some common tasks to step 1" into stable/train
- Merge "Correct invalid jinja set" into stable/train
- Merge "Enable horizon healthcheck" into stable/train
- Correct invalid jinja set
- Move some common tasks to step 1
- Enable horizon healthcheck

* Sun Dec 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Remove unused post update and upgrade tasks" into stable/train
- Remove unused post update and upgrade tasks

* Sat Dec 21 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Remove ceph backend by default for gnocchi" into stable/train
- Remove ceph backend by default for gnocchi

* Sat Dec 21 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Enable healthcheck script in clustercheck service" into stable/train
- Enable healthcheck script in clustercheck service

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Move the legacy telemetry environment template to correct location" into stable/train
- Merge "Provide utility to generate NodeDataLookup from Ironic" into stable/train
- Provide utility to generate NodeDataLookup from Ironic
- Move the legacy telemetry environment template to correct location

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Move the legacy telemetry environment template to correct location (rhbz#1779503)
- Merge "Revert "Disable ceph dashboard to fix upstream ci"" into stable/train
- Merge "Add Octavia anti-affinity parameters" into stable/train
- Add Octavia anti-affinity parameters
- Revert "Disable ceph dashboard to fix upstream ci"

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Move the legacy telemetry environment template to correct location (rhbz#1779503)
- Merge "Relax filtering in krb-service-principals jinja" into stable/train
- Relax filtering in krb-service-principals jinja

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Remove ceph backend by default for gnocchi (rhbz#1780913)
- Move the legacy telemetry environment template to correct location (rhbz#1779503)
- Relax filtering in krb-service-principals jinja (rhbz#1778719)
- Merge "Increase rabbitmq tcp backlog" into stable/train
- Merge "Update environment var for keystone bootstrap" into stable/train
- Merge "Install tmpwatch on the overcloud" into stable/train
- Merge "Create /var/log/journal directory during step-0" into stable/train
- Merge "Enable additional Swift healtchecks" into stable/train
- Merge "scale: fixes for compute scale down" into stable/train
- Merge "HA: enable cluster-common-tag naming scheme by default" into stable/train
- Enable additional Swift healtchecks
- Create /var/log/journal directory during step-0
- HA: enable cluster-common-tag naming scheme by default
- Increase rabbitmq tcp backlog
- Install tmpwatch on the overcloud
- Update environment var for keystone bootstrap
- scale: fixes for compute scale down

* Wed Dec 18 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Move the legacy telemetry environment template to correct location (rhbz#1779503)
- Merge "Add netcontrold service for DPDK roles" into stable/train
- Add netcontrold service for DPDK roles

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Move the legacy telemetry environment template to correct location (rhbz#1779503)
- Merge "HA: minor update of arbitrary container image name" into stable/train
- HA: minor update of arbitrary container image name

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Move the legacy telemetry environment template to correct location (rhbz#1779503)
- Merge "Add CephGrafana resource to the ControllerStorageNFS role" into stable/train
- Merge "Properly set loopback_users via rabbitmq::loopback_users" into stable/train
- Properly set loopback_users via rabbitmq::loopback_users
- Add CephGrafana resource to the ControllerStorageNFS role

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Move the legacy telemetry environment template to correct location (rhbz#1779503)
- Delegate and run once debug start-at-task messages

* Sat Dec 14 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Move the legacy telemetry environment template to correct location (rhbz#1779503)
- Merge "New Parameter NovaCronArchiveDeleteAllCells and NovaCronArchiveDeleteRowsAge" into stable/train
- New Parameter NovaCronArchiveDeleteAllCells and NovaCronArchiveDeleteRowsAge

* Sat Dec 14 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Move the legacy telemetry environment template to correct location (rhbz#1779503)
- Merge "Ensure rabbitmq deployment container is restarted at every update" into stable/train
- Ensure rabbitmq deployment container is restarted at every update

* Fri Dec 13 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Move the legacy telemetry environment template to correct location (rhbz#1779503)
- Change default value for NeutronPluginExtensions
- Merge "Add healthcheck for nova-virtlogd container" into stable/train
- Add healthcheck for nova-virtlogd container

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches

* Thu Dec 12 2019 Kevin Carter <kecarter@redhat.com> 11.3.1-0.20191211120233.5ca908c
- scale: fixes for compute scale down (rhbz#1693838)

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Move the legacy telemetry environment template to correct location (rhbz#1779503)
- Merge "overcloud/service_names: merge service_names & enabled_services" into stable/train
- overcloud/service_names: merge service_names & enabled_services

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Fix rsyslog issues (rhbz#1777235)
- Merge "Use public network for external interface" into stable/train
- Use public network for external interface

* Sat Dec 07 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Fix the Octavia amphora provider driver description" into stable/train
- Fix the Octavia amphora provider driver description

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Ensure we set proper SELinux label on container-puppet.sh" into stable/train
- Merge "Make containerized-undercloud-upgrades vote on train" into stable/train
- Ensure we set proper SELinux label on container-puppet.sh
- Make containerized-undercloud-upgrades vote on train

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches

* Fri Dec 06 2019 Radomir Dopieralski <rdopiera@redhat.com> 11.3.1-0.20191206120258.9f3dc8a
- Set correct downstream URL for the Horizon's help link (rhbz#1780103)

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Re-enable "service_names" hieradata" into stable/train
- Merge "Add a version of the multiple-nics templates with tagged VLANs" into stable/train
- Merge "Split QDR environment from collectd" into stable/train
- Re-enable "service_names" hieradata
- Split QDR environment from collectd
- Add a version of the multiple-nics templates with tagged VLANs

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Re-enable "service_names" hieradata (rhbz#1769872)
- Merge "[Train-Only] Remove the Fluentd role." into stable/train
- Merge "Check if snmpd is enabled for upgrade_tasks" into stable/train
- Merge "ovn-db standalone: Create ovndbs before starting the OVN ovsdb servers" into stable/train
- Check if snmpd is enabled for upgrade_tasks
- ovn-db standalone: Create ovndbs before starting the OVN ovsdb servers
- [Train-Only] Remove the Fluentd role.

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "ovn_dbs upgrade-with-os work" into stable/train
- ovn_dbs upgrade-with-os work

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Use yaml.SafeLoader instead of yaml.FullLoader" into stable/train
- Use yaml.SafeLoader instead of yaml.FullLoader

* Tue Dec 03 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Use public network for external interface (rhbz#1769868)
- Split QDR environment from collectd (rhbz#1769868)
- Fix sed in run-os-net-config to only replace values, not keys

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "ml2-ansible: Set api_max_retries when net-ansible is used" into stable/train
- Merge "Derive Pci passthrough whitelist disable option" into stable/train
- Don't set all_nodes data as group_vars in check mode
- ml2-ansible: Set api_max_retries when net-ansible is used
- Derive Pci passthrough whitelist disable option

* Fri Nov 29 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Make sure glance_api_tls_proxy logs are persisted on the host" into stable/train
- Merge "Use '0' instead of root in container-puppet.py" into stable/train
- Use '0' instead of root in container-puppet.py
- Make sure glance_api_tls_proxy logs are persisted on the host

* Fri Nov 29 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Move 'Ensure network service is enabled' after os-net-config has run" into stable/train
- Move 'Ensure network service is enabled' after os-net-config has run

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Force redis::ulimit to be an integer

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Enable healthcheck for ironic-neutron-agent" into stable/train
- Merge "Enable recon middleware for swift account/container server" into stable/train
- Enable healthcheck for ironic-neutron-agent
- Enable recon middleware for swift account/container server

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Add the Octavia log offload parameters" into stable/train
- Merge "Add Octavia driver agent service" into stable/train
- Merge "Update scale down to fix regression" into stable/train
- Add Octavia driver agent service
- Update scale down to fix regression
- Add the Octavia log offload parameters

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Don't fail hard when facter cache doesn't work correctly" into stable/train
- Don't fail hard when facter cache doesn't work correctly

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Ensure "network" service is enabled

* Sun Nov 24 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Drop file test before removal

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Check that facter.conf is a file" into stable/train
- Make sure we apply all deploy step-0 during update.
- Check that facter.conf is a file

* Thu Nov 21 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Add configurable monitor timeouts for ovn dbs" into stable/train
- Merge "Disable legacy telemetry by default" into stable/train
- Disable legacy telemetry by default
- Add configurable monitor timeouts for ovn dbs

* Thu Nov 21 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Get rid of docker removing in post_upgrade tasks.

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Fix typo in MySQL upgrade tasks.

* Tue Nov 19 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Fix neutron api TLS issues" into stable/train
- Fix neutron api TLS issues

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Incorrect group name issue on non DPDK compute

* Fri Nov 15 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "ooo updates/upgrades working well on train, move to vote/gate" into stable/train
- Add NovaAZConfig service to compute roles
- ooo updates/upgrades working well on train, move to vote/gate

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Updates for dcn/dcn-hci sample envs" into stable/train
- Updates for dcn/dcn-hci sample envs

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Add ManageNetworks parameter" into stable/train
- Merge "Move KernelArgs and OvS-DPDK deployment to ansible role" into stable/train
- Add ManageNetworks parameter
- Move KernelArgs and OvS-DPDK deployment to ansible role

* Mon Nov 11 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Remove odl in ComputeSriovIB" into stable/train
- Merge "Correct mysql-pacemaker upgrade task" into stable/train
- Remove odl in ComputeSriovIB
- Correct mysql-pacemaker upgrade task

* Mon Nov 11 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Define ovn_dbs_image fact for upgrades." into stable/train
- Merge "Fix typo in OVN upgrade tasks." into stable/train
- Merge "Fix the amqp presettle option for metrics and events in collectd" into stable/train
- Merge "Adds ceph-systemd tag in external_upgrade_tasks for systemd units" into stable/train
- Fix the amqp presettle option for metrics and events in collectd
- Define ovn_dbs_image fact for upgrades.
- Fix typo in OVN upgrade tasks.
- Adds ceph-systemd tag in external_upgrade_tasks for systemd units

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Fix debug hiera keys" into stable/train
- Fix debug hiera keys

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Remove OpenDaylight templates and environments" into stable/train
- Merge "Do not run rendering all_nodes data as group_vars in check mode" into stable/train
- Merge "Move bootstrap password to an environment var" into stable/train
- Merge "Fix duplicate mount point in neutron_dhcp" into stable/train
- Merge "remove SensuClient from ComputeSriovIB role" into stable/train
- Fix duplicate mount point in neutron_dhcp
- Move bootstrap password to an environment var
- Do not run rendering all_nodes data as group_vars in check mode
- Remove OpenDaylight templates and environments
- remove SensuClient from ComputeSriovIB role

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Mode 0750 for /var/log/containers" into stable/train
- Merge "Disable haproxy when using external LB" into stable/train
- Merge "Add "radvd_user" config parameter to Neutron L3 container" into stable/train
- Mode 0750 for /var/log/containers
- Disable haproxy when using external LB
- Add "radvd_user" config parameter to Neutron L3 container

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Fix "neutron-mlnx-agent.yaml" to use the new Role ComputeSriovIB" into stable/train
- Fix "neutron-mlnx-agent.yaml" to use the new Role ComputeSriovIB

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Install and start Rsyslog on the Undercloud & Standalone" into stable/train
- Install and start Rsyslog on the Undercloud & Standalone

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Honor Debug for container image prepare" into stable/train
- Honor Debug for container image prepare

* Sat Nov 02 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Added the connection_logging parameter for Octavia" into stable/train
- Added the connection_logging parameter for Octavia

* Fri Nov 01 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Configure amphora for upload and run tempest

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Correct ovn-dbs upgrade image id variable" into stable/train
- Correct ovn-dbs upgrade image id variable

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Restart certmnonger after registering system with IPA" into stable/train
- Restart certmnonger after registering system with IPA

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- deploy-steps-tasks: remove duplicate "when" for paunch debug

* Mon Oct 28 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Simplify octavia post deploy configs" into stable/train
- Simplify octavia post deploy configs

* Mon Oct 28 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Add posibilities to set ovn_openflow_probe_interval for controller" into stable/train
- Add posibilities to set ovn_openflow_probe_interval for controller

* Mon Oct 28 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Deprecate deployed-server-roles-data.yaml" into stable/train
- Merge "Fix placement_wait_for_service" into stable/train
- Deprecate deployed-server-roles-data.yaml
- Fix placement_wait_for_service

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "HA: ensure TRIPLEO_MINOR_UPDATE is defined for <svc>_restart_bundle" into stable/train
- HA: ensure TRIPLEO_MINOR_UPDATE is defined for <svc>_restart_bundle

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Merge "Derives NovaPCIPassthrough per SR-IOV node" into stable/train
- Derives NovaPCIPassthrough per SR-IOV node

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Less agressive cleanup of docker containers in post_upgrade_tasks

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Fix missing environment variable in rabbitmq_init_bundle

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Update patches
- Disable ceph dashboard to fix upstream ci

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Keep the default mapping for skydive
- remove references to Skydive (rhbz#1752474)
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix update of non HA container during update."
- Fix update of non HA container during update.

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Undercloud hosts entries in overcloud nodes"
- Merge "Set bridge-nf-call-* values to 1"
- Merge "Revert "Temporaily disable nova inflight healthchecks to unblock the gate""
- Set bridge-nf-call-* values to 1
- Revert "Temporaily disable nova inflight healthchecks to unblock the gate"
- Undercloud hosts entries in overcloud nodes

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Normalise all pacemaker resource upgrade tasks for staged upgrades"
- Merge "Convert container environment from a list to a dict"
- Normalise all pacemaker resource upgrade tasks for staged upgrades
- Convert container environment from a list to a dict

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add ability to collocate pinned and unpinned instance on same host"
- Merge "Add missing step tag in updates/upgrades/ffu tasks"
- Add missing step tag in updates/upgrades/ffu tasks
- Add ability to collocate pinned and unpinned instance on same host

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Add support to configure token caching""
- Revert "Add support to configure token caching"

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Workaround ovn cluster failure during update when schema change."
- Merge "Deprecate kubespray kubernetes install"
- Merge "Add compute role "ComputeSriovIB" for infiniband deployments"
- Deprecate kubespray kubernetes install
- Add compute role "ComputeSriovIB" for infiniband deployments
- Workaround ovn cluster failure during update when schema change.

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Permit access to Ceph RGW for 'member' role"
- Merge "Use OS::TripleO::Services::Logging::NovaLibvirt to configure libvirt logging"
- Merge "Undercloud ctplane router for IPv6 RA's idempotent"
- Merge "Update deprecated name of DockerRsyslogConfigImage"
- Merge "Use parameter for ipv6 address mode"
- Merge "Use update_serial as an ansible variable"
- Merge "Remove python executable print"
- Merge "Add toggle to enable/disable Paunch for a deployment"
- Merge "Ensure nova-api is running before starting nova-compute containers"
- Merge "Fix multiple-nics network config ExternalMtu"
- Merge "Fix double cert mount in haproxy bundle when using tls everywhere"
- Merge "Enable health check for metrics_qdr container"
- Merge "Remove sensu-client service"
- Merge "move multinode scen006 to experimental"
- Merge "Remove Tacker service"
- Merge "Add environments dcn.yaml and dcn-hci.yaml."
- Merge "Add posibilities to configure OVNNorthboundServerPort in split stacks"
- Add toggle to enable/disable Paunch for a deployment
- Use parameter for ipv6 address mode
- Undercloud ctplane router for IPv6 RA's idempotent
- Permit access to Ceph RGW for 'member' role
- Fix multiple-nics network config ExternalMtu
- Add environments dcn.yaml and dcn-hci.yaml.
- Add posibilities to configure OVNNorthboundServerPort in split stacks
- Fix double cert mount in haproxy bundle when using tls everywhere
- Update deprecated name of DockerRsyslogConfigImage
- Ensure nova-api is running before starting nova-compute containers
- Remove sensu-client service
- Use update_serial as an ansible variable
- Use OS::TripleO::Services::Logging::NovaLibvirt to configure libvirt logging
- Remove python executable print
- Remove Tacker service
- move multinode scen006 to experimental
- Enable health check for metrics_qdr container

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix Manila when run without pacemaker"
- Merge "Add DHCPv6 rules + set ipversion for dhcp rules"
- Merge "Collectd-sensubility"
- Fix Manila when run without pacemaker
- Add DHCPv6 rules + set ipversion for dhcp rules
- Collectd-sensubility

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add missing role name to Host prep steps task"
- Merge "Add support to configure token caching"
- Add missing role name to Host prep steps task
- Add support to configure token caching

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Support connecting OVN DB over SSL"
- Support connecting OVN DB over SSL

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix placement of Octavia services in roles"
- Merge "Remove plumgrid support"
- Merge "Move nested bash script into a real file"
- Merge "Prevent running mysql data transfer twice by accident"
- Merge "Deprecate EC2 API"
- Merge "Allow using registry authentication to pull ceph related containers"
- Merge "Replace include_role with import_role"
- Remove plumgrid support
- Move nested bash script into a real file
- Fix placement of Octavia services in roles
- Allow using registry authentication to pull ceph related containers
- Prevent running mysql data transfer twice by accident
- Replace include_role with import_role
- Deprecate EC2 API

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix typo"
- Merge "Update deprecated name of Rsyslog container Image"
- Update deprecated name of Rsyslog container Image
- Fix typo

